services:
  gitea:
    image: commitgo/gitea-ee:25.4.3
    container_name: ${CONTAINER_NAME}
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - GITEA__database__DB_TYPE=${PANEL_DB_TYPE}
      - GITEA__database__HOST=${PANEL_DB_HOST}:${PANEL_DB_PORT}
      - GITEA__database__NAME=${PANEL_DB_NAME}
      - GITEA__database__USER=${PANEL_DB_USER}
      - GITEA__database__PASSWD=${PANEL_DB_USER_PASSWORD}
    restart: always
    networks:
      - 1panel-network
    volumes:
      - ./data:/data
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    ports:
      - "${PANEL_APP_PORT_HTTP}:3000"
      - "${PANEL_APP_PORT_SSH}:22"
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true